<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox</title>
    <style>
        html, body {
            margin: 0px;
            padding: 0px;
            font-family: Calibri;
            width: 100%;
            height: 100%;
        }
        #parent {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row; /* default: row */
            flex-wrap: wrap;
            justify-content: space-evenly;
            align-items: flex-start;
        }
        #parent div {
            border: 1px solid darkmagenta;
        }
        #child1 {
            /* flex: 1; */
            flex-basis: 30%;
            height: 100px;
        }
        #child2 {
            /* flex: 3; */
            flex-basis: 30%;
            height: 100px;
        }
        #child3 {
            /* flex: 1; */
            flex-basis: 30%;
            height: 100px;
        }
        #child4 {
            /* flex: 1; */
            flex-basis: 30%;
            height: 100px;
        }
        #child5 {
            /* flex: 2; */
            flex-basis: 60%;
            height: 100px;
        }
    </style>
</head>
<body>
    <div id="parent">
        <div id="child1">1</div>
        <div id="child2">2</div>
        <div id="child3">3</div>
        <div id="child4">4</div>
        <div id="child5">5</div>
    </div>
</body>
</html>